{% extends 'site/site-base.html.twig' %}

{% block title %}
    {{ trick.id is not null ? 'Modifier' : 'Ajouter' }} un trick
{% endblock %}

{% block body %}
    <main class="container-fluid container-md mt-3 mb-5 mt-lg-5 pt-5">
        <div class="card rounded-0 mx-lg-5">
            {{ form_start(form) }}
            <ul id="photos-collection" data-prototype="{{ form_widget(form.photos.vars.prototype) | e }}"
                data-index="{{ form.photos | length }}" class="list-unstyled mb-0 d-lg-flex justify-content-center">
                {% for photoField in form.photos %}
                    <li class="photo-li col-12 col-lg-3">
                        {% if photoField.vars.data.id is not null %}
                            {# FOR FORM UPDATE ONLY #}
                            <div class="form-group text-center w-100">
                                <img src="{{ asset('uploadedPhotos/' ~ photoField.vars.value.filename) }}"
                                     alt="{{ photoField.vars.value.filename }}" height="150" class="img-fluid" style="object-fit: cover">
                                {{ form_errors(photoField) }}
                            </div>
                            {{ form_widget(photoField, {attr: {style: 'display:none;'}}) }}
                            <div class="text-right mt-2 deleter">
                                <button id="remove-photo-field" class="btn btn-danger btn-sm remove-photo-button rounded-0"
                                        data-index="{{ loop.index - 1 }}" type="button">
                                    <i class="fa fa-trash"></i>
                                </button>
                            </div>
                        {% else %}
                            {# FOR FORM ERRORS ONLY #}
                            {{ form_errors(photoField) }}
                            {{ form_widget(photoField) }}
                        {% endif %}
                    </li>
                {% endfor %}
            </ul>
            <div class="text-center my-3">
                <button id="add-photo-form" class="btn btn-primary btn-sm rounded-0" type="button">
                    Ajouter une photo
                </button>
            </div>
            <ul id="videos-collection" data-prototype="{{ form_widget(form.videos.vars.prototype) | e }}"
                data-index="{{ form.videos | length }}" class="list-unstyled mb-0 d-lg-flex justify-content-center">
                {% for videoField in form.videos %}
                    <li class="video-li col-12 col-lg-3 mb-3">
                        {% if videoField.vars.data.id is not null %}
                            {{ form_errors(videoField) }}
                            {{ form_widget(videoField, {attr: {style: 'display:none;'}}) }}
                            <div class="text-right mt-2 deleter">
                                <button id="remove-video-field" class="btn btn-danger btn-sm remove-video-button rounded-0"
                                        data-index="{{ loop.index - 1 }}" type="button">
                                    <i class="fa fa-trash"></i>
                                </button>
                            </div>
                        {% else %}
                            {{ form_errors(videoField) }}
                            {{ form_widget(videoField) }}
                        {% endif %}
                    </li>
                {% endfor %}
            </ul>
            <div class="text-center">
                <button id="add-video-form" class="btn btn-primary btn-sm rounded-0" type="button">
                    Ajouter un lien vidéo
                </button>
            </div>
            <div class="col-lg-10 offset-lg-1">
                {{ form_row(form.name) }}
                {{ form_row(form.description, {attr: {rows: 10}}) }}
                {{ form_row(form.trickGroup) }}
                <div class="text-right">
                    {% if trick.id is not null %}
                        <button class="btn btn-danger rounded-0" type="button">Supprimer</button>
                    {% endif %}
                    <button id="submit-trick-form" class="btn btn-success rounded-0" type="submit">
                        {{ trick.id is not null ? 'Enregistrer' : 'Ajouter' }}
                    </button>
                </div>
            </div>
            {{ form_end(form) }}
        </div>
    </main>
{% endblock %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('tricks_form') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('tricks_form') }}
{% endblock %}
